"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = default_1;
const schematics_1 = require("@angular-devkit/schematics");
const xplat_1 = require("@nstudio/xplat");
const xplat_utils_1 = require("@nstudio/xplat-utils");
const utils_1 = require("../../utils");
function default_1(options) {
    return (0, schematics_1.chain)([
        (0, xplat_utils_1.prerun)(options, true),
        (tree, context) => {
            if (tree.exists(`/libs/xplat/web-angular/scss/src/_variables.scss`)) {
                return (0, schematics_1.noop)();
            }
            else {
                return (0, schematics_1.externalSchematic)('@nstudio/web-angular', 'xplat', options, {
                    interactive: false,
                })(tree, context);
            }
        },
        (tree, context) => (0, schematics_1.externalSchematic)('@nstudio/electron', 'xplat', Object.assign(Object.assign({}, options), { skipDependentPlatformFiles: true }), { interactive: false }),
        xplat_1.XplatHelpers.generateLib(options, 'core', 'xplat/electron', 'node'),
        xplat_1.XplatHelpers.cleanupLib(options, 'core', 'xplat/electron'),
        (tree, context) => {
            const xplatFolderName = xplat_1.XplatHelpers.getXplatFoldername('electron', 'angular');
            // console.log('xplatName:', xplatName);
            return options.skipDependentPlatformFiles
                ? (0, schematics_1.noop)()
                : xplat_1.XplatHelpers.addPlatformFiles(options, xplatFolderName, 'core', 'index.ts')(tree, context);
        },
        utils_1.XplatElectronAngularHelpers.updateRootDeps(options),
    ]);
}
